*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* border: 1px solid white; */
}
body{
    width: 100%;
    background-color: #0c111b;
    position: relative;
    font-family: roboto, sans-serif;
    /* height: 100vh; */
}

.navbar{
    width: 100%;
    height: 80px;
    position: fixed;
    top: 0;
    left: 0;
    padding: 0 4%;
    background-color: #0c111b;
    z-index: 9;
    display: flex;
    align-items: center;
 }

.brand-logo{
    height: 70px;
}
.nav-links{
    margin-top: 10px;
    display: flex;
    list-style: none;
}
.nav-items a{
    text-decoration: none;
    margin-left: 20px;
    text-transform: capitalize;
    color: white;
    opacity: 0.9;
}

.right-container{
    display: block;
    margin-left: auto;
}

.search-box{
    border: none;
    border-bottom: 1px solid #aaa;
    background: transparent;
    outline: none;
    height: 30px;
    color: white;
    width: 250px;
    text-transform: capitalize;
    font-size: 16px;
    font-weight: 500;
    transition: .5s;
}

.search-box:focus{
    width: 400px;
    border-color: #1f80e0;
}

.sub-btn{
    background: #1f80e0;
    height: 30px;
    padding: 0 20px;
    color: white;
    border-radius: 5px;
    border: none;
    outline: none;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 12px;
    margin: 0 10px;
}

.login-link{
    color: white;
    opacity: 0.9;
    text-transform: uppercase;
    font-size: 15px;
    font-weight: 700;
    text-decoration: none;
}

.carousel-container{
    position: relative;
    width: 100%;
    
    padding: 20px 0;
    overflow-x: hidden;
    margin-top: 80px;
}

.carousel{
    display: flex;
    width: 92%;
    height: 450px;
    /* height: 100%; */
    position: relative;
    margin: auto;
}

.slider{
    flex: 0 0 auto;
    margin-right: 30px;
    position: relative;
    background: rgba(0, 0, 0, 0.5);
    border-radius: 5px;
    width: 100%;
    height: 100%;
    left:0;
    transition: 1s;
    overflow: hidden;
}

.slider img{
    width: 70%;
    min-height: 100%;
    object-fit: cover;
    display: block;
    margin-left: auto;
}

.slide-content{
    position: absolute;
    width: 50%;
    height: 100%;
    z-index: 2;
    background: linear-gradient(to right, #030b17 80%, #0c111b00);
    color: white;
}

.movie-title{
    padding-left: 50px;
    text-transform: capitalize;
    margin-top: 80px;
}

.movie-des{
    width: 80%;
    line-height: 30px;
    padding-left: 50px;
    margin-top: 30px;
    opacity: 0.8;
}

.video-card-container{
    position: relative;
    width: 92%;
    margin: auto;
    height: 10vw;
    display: flex;
    margin-bottom: 20px;
    margin-top: 30px;
    justify-content: space-between;
    /* z-index: 99; */
}

.video-card{
    position: relative;
    min-width: calc(100%/5 - 10px);
    width: calc(100%/5 - 10px);
    height: 100%;
    border-radius: 5px;
    overflow: hidden;
    background: #030b17;
    /* z-index: 10; */
}

.video-card-image, .card-video{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card-video{
    position: absolute;
}

.video-card:hover .video-card-image{
    display: none;
}

.title{
    color: white;
    opacity: 0.9;
    padding-left: 4%;
    text-transform: capitalize;
    font-size: 22px;
    font-weight: 500;
}

.movies-list{
    width: 100%;
    height: 220px;
    position: relative;
    margin: 10px 0 20px;
}

.card-container{
    position: relative;
    width: 92%;
    padding-left: 10px;
    height: 220px;
    display: flex;
    margin: 0 auto;
    align-items: center;
    overflow-x: auto;
    overflow-y: visible;
    scroll-behavior: smooth;
}

.card-container::-webkit-scrollbar{
    display: none;
}

.card{
    position: relative;
    min-width: 150px;
    width: 150px;
    height: 200px;
    border-radius: 5px;
    overflow: hidden;
    margin-right: 10px;
    transition: .5s;

}

.card-image{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.card:hover{
    transform: scale(1.1);

}
.card:hover .card-body{
    opacity: 1;
}

.card-body{
    width: 100%;
    height: 100%;
    opacity: 0;
    position:absolute;
    top:0;
    left: 0;
    z-index: 2;
    background: linear-gradient(to bottom, rgba(4,8,15,0), #192133 90%);
    padding: 10px;
    transition: 0.5s;
}

.name{
    color: white;
    font-size: 15px;
    font-weight: 500;
    text-transform: capitalize;
    margin-top: 60%;

}

.des{
    color: white;
    opacity: 0.8;
    margin: 5px 0;
    font-weight: 500;
    font-size: 12px;
}

.watchlist-button{
    position: relative;
    width: 100%;
    text-transform: capitalize;
    background: none;
    border: none;
    font-weight: 500;
    text-align: right;
    color: rgba(255,255,255,0.5);
    margin: 5px 0;
    cursor: pointer;
    padding: 10px 5px;
    border-radius: 5px;
}

.watchlist-button::before{
    content: "";
    position: absolute;
    top: 0;
    left: -5px;
    height: 35px;
    width: 35px;
    background-image: url(images/add.png);
    background-size: cover;
    transform: scale(0.4);
}

.watchlist-button:hover{
    color: white;
    background-color: rgba(255,255,255,0.1);
}

.pre-btn, .nxt-btn{
    position: absolute;
    top: 0;
    width: 5%;
    height: 100%;
    z-index: 2;
    border: none;
    cursor: pointer;
    outline: none;
}

.pre-btn{
    left: 0;
    background: linear-gradient(to right, #0c111b 0%, #0c111b00);
}
.nxt-btn{
    right: 0;
    background: linear-gradient(to left, #0c111b 0%, #0c111b00);
}

.pre-btn img, .nxt-btn img{
    width: 15px;
    height:20px;
    opacity: 0;
}

.pre-btn:hover img,.nxt-btn:hover img{
    opacity: 1;
}
